Subject: bug#20870: 24.5; [PATCH] Options presented in ispell *Choices* should be accessible via keyboard

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Jun 2015 14:47:28 +0300

> From: Jürgen Hartmann <[email-masked]>
> Date: Sat, 27 Jun 2015 12:36:13 +0200
> 
> The attached patch tries to offer a workaround for this bug and to provide a
> feature that was asked for by Emanuel Berg in
> 
>    http://lists.gnu.org/archive/html/help-gnu-emacs/2015-06/msg00363.html
> 
> i.e. that Ispell uses certain keys in a certain order for the offers in its
> *Choices* buffer.
> 
> Therefore, the idea is to use a customizable variable to hold a vector of key
> specifications that are used by ispell-command-loop in the given order to
> assemble its options.

Thanks, but isn't it better to simply use numbers longer than one
digit?  E.g., if the number of choices is more than 10, use 00, 01,
etc.; if the number of choices is more than 100, use 000, 001,
etc., and so on and so forth?  Bonus points for being able to support
responses like 1 and 10 when the number of choices is more than 100
(but this is a nicety, not really required IMO).

I just cannot imagine anyone in the need for customizing this.